Bug 1293022 - [abrt] shotwell: g_type_check_instance_cast(): shotwell killed by SIGSEGV
[abrt] shotwell: g_type_check_instance_cast(): shotwell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6817a6b22bedc78feb172c3913e...
:
: 1344159 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 03:39 EST by Simon Geard
Modified: 2016-12-20 12:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:10:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.63 KB, text/plain)
2015-12-19 03:39 EST, Simon Geard
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details
File: core_backtrace (10.53 KB, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details
File: dso_list (14.59 KB, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details
File: environ (1.62 KB, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details
File: maps (74.42 KB, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details
File: mountinfo (3.40 KB, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details
File: open_fds (150.04 KB, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details
File: var_log_messages (311 bytes, text/plain)
2015-12-19 03:40 EST, Simon Geard
no flags Details

  None (edit)
Description Simon Geard 2015-12-19 03:39:52 EST
Description of problem:
Application crashed while deleting a bunch of photos. This is a pretty common occurrence - it doesn't crash every time I do such a thing, but maybe as often as one time in three? It may be associated with removing an entire event, since I usually extract the photos I want to keep into a new event, then just delete everything from the old.

Version-Release number of selected component:
shotwell-0.22.0-5.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        shotwell
crash_function: g_type_check_instance_cast
executable:     /usr/bin/shotwell
global_pid:     18818
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4064
 #1 media_page_real_on_move_to_trash at /usr/src/debug/shotwell-0.22.0/src/MediaPage.vala:1046
 #6 _gtk_action_emit_activate at deprecated/gtkaction.c:909
 #7 closure_accel_activate at deprecated/gtkaction.c:1864
 #12 gtk_accel_group_activate at gtkaccelgroup.c:910
 #13 gtk_accel_groups_activate at gtkaccelgroup.c:948
 #14 gtk_window_activate_key at gtkwindow.c:11421
 #15 gtk_window_key_press_event at gtkwindow.c:7804
 #16 page_window_real_key_press_event at /usr/src/debug/shotwell-0.22.0/src/AppWindow.vala:364
 #17 library_window_real_key_press_event at /usr/src/debug/shotwell-0.22.0/src/library/LibraryWindow.vala:1546

Potential duplicate: bug 1251640
Comment 1 Simon Geard 2015-12-19 03:39:58 EST
Created attachment 1107647 [details]
File: backtrace
Comment 2 Simon Geard 2015-12-19 03:40:00 EST
Created attachment 1107648 [details]
File: cgroup
Comment 3 Simon Geard 2015-12-19 03:40:02 EST
Created attachment 1107649 [details]
File: core_backtrace
Comment 4 Simon Geard 2015-12-19 03:40:04 EST
Created attachment 1107650 [details]
File: dso_list
Comment 5 Simon Geard 2015-12-19 03:40:05 EST
Created attachment 1107651 [details]
File: environ
Comment 6 Simon Geard 2015-12-19 03:40:07 EST
Created attachment 1107652 [details]
File: exploitable
Comment 7 Simon Geard 2015-12-19 03:40:09 EST
Created attachment 1107653 [details]
File: limits
Comment 8 Simon Geard 2015-12-19 03:40:12 EST
Created attachment 1107654 [details]
File: maps
Comment 9 Simon Geard 2015-12-19 03:40:14 EST
Created attachment 1107655 [details]
File: mountinfo
Comment 10 Simon Geard 2015-12-19 03:40:15 EST
Created attachment 1107656 [details]
File: namespaces
Comment 11 Simon Geard 2015-12-19 03:40:19 EST
Created attachment 1107657 [details]
File: open_fds
Comment 12 Simon Geard 2015-12-19 03:40:20 EST
Created attachment 1107658 [details]
File: proc_pid_status
Comment 13 Simon Geard 2015-12-19 03:40:22 EST
Created attachment 1107659 [details]
File: var_log_messages
Comment 14 Eric Christensen 2016-06-08 21:47:17 EDT
*** Bug 1344159 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2016-11-24 09:22:13 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 12:10:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.